Bug 825091 - Reboot hangs at the end
Reboot hangs at the end
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-25 01:47 EDT by Eric
Modified: 2012-09-04 13:56 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-04 13:56:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric 2012-05-25 01:47:16 EDT
Description of problem:
After unmounting all the drives, the system shows:

pivot failed: invalid argument
Restarting system

But nothing else happens after that.

Version-Release number of selected component (if applicable):
Fedora 16, up to date as of May 24, 2012.

How reproducible:
Always.


Steps to Reproduce:
1. Any for of reboot, shutdown works fine.

Additional info:
Dell precision laptop with i7-28200M CPU
Comment 1 Michal Schmidt 2012-05-25 04:40:50 EDT
Is this a regression? i.e. Did you have reboot working fine before installing some updates?

(In reply to comment #0)
> pivot failed: invalid argument

There may be something wrong with your initramfs. Try regenerating it with "dracut -f".

> Restarting system

This message is printed by the kernel. Reassigning.

Does a forced reboot work?:
  sync && reboot -f

Would changing the kernel's reboot method with the "reboot=..." parameter help? See this comment for possible values:
https://bugzilla.redhat.com/show_bug.cgi?id=692839#c12

Note You need to log in before you can comment on or make changes to this bug.